### Hierarchy

- SessionOptions
  - SecureClientSessionOptions
  - SecureServerSessionOptions
  - ServerOptions

## Index

### Properties

- createConnection
- maxDeflateDynamicTableSize
- maxReservedRemoteStreams
- maxSendHeaderBlockLength
- paddingStrategy
- peerMaxConcurrentStreams
- selectPadding
- settings

## Properties

### Optional createConnection

createConnection: undefined | function

- Defined in node_modules/@types/node/http2.d.ts:418

### Optional maxDeflateDynamicTableSize

maxDeflateDynamicTableSize: undefined | number

- Defined in node_modules/@types/node/http2.d.ts:411

### Optional maxReservedRemoteStreams

maxReservedRemoteStreams: undefined | number

- Defined in node_modules/@types/node/http2.d.ts:412

### Optional maxSendHeaderBlockLength

maxSendHeaderBlockLength: undefined | number

- Defined in node_modules/@types/node/http2.d.ts:413

### Optional paddingStrategy

paddingStrategy: undefined | number

- Defined in node_modules/@types/node/http2.d.ts:414

### Optional peerMaxConcurrentStreams

peerMaxConcurrentStreams: undefined | number

- Defined in node_modules/@types/node/http2.d.ts:415

### Optional selectPadding

selectPadding: undefined | function

- Defined in node_modules/@types/node/http2.d.ts:416

### Optional settings

settings: Settings

- Defined in node_modules/@types/node/http2.d.ts:417

Generated using TypeDoc